package DeWeave::EDO;
use Moose;
use namespace::autoclean;
use MooseX::Types::Moose qw(Int Str Num Bool);

extends 'DeWeave::WBO';

has ciphertext => (
    traits => ['WBOInternal'],
    isa => Str,
    required => 1,
    is => 'ro',
);

has IV => (
    traits => ['WBOInternal'],
    isa => Str,
    required => 1,
    is => 'ro',
);

has hmac => (
    traits => ['WBOInternal'],
    isa => Str,
    required => 1,
    is => 'ro',
);

has deleted => (
    isa => Bool,
    required => 0,
    is => 'ro',
);

1;
